import {Component, Input} from '@angular/core';
import {DomSanitizer} from "@angular/platform-browser";

@Component({
  selector: 'publications-list-item-video',
  templateUrl: 'video.component.html',
  styleUrls: ['video.component.scss']
})
export class PublicationsListItemVideoComponent {
  @Input() item: any;
  @Input() editMode = false;

  constructor(
    private sanitized: DomSanitizer
  ) {
  }

  public url: any = '';

  ngOnInit(): void {
    this.url = this.sanitized.bypassSecurityTrustResourceUrl(this.item.params.url);
  }
}
